5

[SOLVED] [Ubuntu] apt libxml-sax-perl "unable to execute installed post-installation script"

view full story
linux-howto

http://www.linuxquestions.org – I had a problem on ubuntu when running "sudo apt-get dist-upgrade" and wanted to report how I solved it. Hopefully this helps anybody with similar problems. I always got the error message: Code: Setting up libxml-sax-perl (0.96+dfsg-2) ... dpkg (subprocess): unable to execute installed post-installation script: Exec format error dpkg: error processing libxml-sax-perl (--configure):  subprocess installed post-installation script returned error exit status 2 Errors were encountered while processing:  libxml-sax-perl E: (HowTos)